/**
 * Directive that wraps options for bootstrap select
 */
export declare class BootstrapSelectOptionDirective {
    /**
     * Value of option attribute value
     */
    optionValue: string;
    /**
     * Real value of option
     */
    private _value;
    /**
     * Value property that is used for extracting unique value from object value
     */
    private _valueProperty;
    /**
     * Value property that is used for extracting unique value from object value
     */
    valueProperty: string;
    /**
     * Gets or sets real value of option
     */
    value: any;
    /**
     * Unique id of current option
     */
    readonly id: string;
    constructor();
    /**
     * Compares provided value with current option value
     * @param val Value to be compared
     * @returns boolean
     */
    isEqual(val: any): boolean;
}
